#1827 closed defect (fixed)

RFS - mkdir fails with 'test/..' with CWD == root inode

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 4.10
Component: fs Version: 4.10
Severity: normal Keywords:
Cc: joel.sherrill@…, ralf.corsepius@… Blocked By:
Blocking:

Description

This bug exists on 4.10 and head.

$ sparc-rtems4.11-run sparc-rtems4.11/c/sis/testsuites/samples/fileio/fileio.exe
* FILE I/O SAMPLE AND TEST *

=========================
RTEMS FILE I/O Test Menu
=========================

p -> part_table_initialize
f -> mount all disks in fs_table
l -> list file
r -> read file
w -> write file
s -> start shell
Enter your selection ==>s

Creating /etc/passwd and group with three useable accounts
root/pwd , test/pwd, rtems/NO PASSWORD

=========================
starting shell
=========================

RTEMS SHELL (Ver.1.0-FRC):/dev/console. May 8 2011. 'help' to list commands.
/ # mkrd
Register RAM Disk Driver [blocks=1024 block-size=512]:successful
/ # mkrfs /dev/rda
/ # mkdir rd
/ # mount -t rfs /dev/rda /rd
mounted /dev/rda -> /rd
/ # cd rd
rd # mkdir test/..
mkdir 'test/..' failed:No such file or directory
rd # mkdir test
rd # mkdir test/..
mkdir 'test/..' failed:No such file or directory
rd #

Attachments (2)

pr1827-4.10.diff (769 bytes) - added by Chris Johns on Jul 3, 2011 at 11:22:20 PM.
Patch for 4.10
pr1827-4.11.diff (761 bytes) - added by Chris Johns on Jul 3, 2011 at 11:22:42 PM.
Patch for 4.11

Download all attachments as: .zip

Change History (5)

Changed on Jul 3, 2011 at 11:22:20 PM by Chris Johns

Attachment: pr1827-4.10.diff added

Patch for 4.10

Changed on Jul 3, 2011 at 11:22:42 PM by Chris Johns

Attachment: pr1827-4.11.diff added

Patch for 4.11

comment:1 Changed on Jul 3, 2011 at 11:37:40 PM by Chris Johns

Resolution: fixed
Status: newclosed

comment:2 Changed on Jul 4, 2011 at 3:41:14 AM by Ralf Corsepius

Cc: Ralf Corsepius added

comment:3 Changed on Dec 13, 2011 at 2:34:32 PM by Joel Sherrill

Cc: Joel Sherrill added
Summary: RFS: mkdir fails with 'test/..' with CWD == root inoRFS - mkdir fails with 'test/..' with CWD == root inode

Fix summary to remove :. Results in PyBugz? seeing partial summary.

Note: See TracTickets for help on using tickets.